> ## Documentation Index
> Fetch the complete documentation index at: https://docs.phare.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a monitor

> Delete a monitor by ID with its check history, its status page components, and the incidents and maintenance windows of this monitor only, the ones shared with other monitors are kept. This cannot be undone, and triggers the `uptime.monitor.deleted` alert rules.

Requires the `monitors:write` permission.



## OpenAPI

````yaml delete /uptime/monitors/{monitorId}
openapi: 3.1.0
info:
  title: Phare
  description: >-
    Learn how to use the phare.io API. Most of the things that can be done on
    the web platform can also be achieved with the API documented on this page.
  termsOfService: https://phare.io/legal/terms-of-service
  contact:
    name: Phare
    email: support@phare.io
  version: '1.0'
servers:
  - url: https://api.phare.io
security:
  - BearerAuth: []
tags:
  - name: Platform
    description: Platform
  - name: Users
    description: Users
  - name: Projects
    description: Projects
  - name: Alert Rules
    description: Alert Rules
  - name: Integrations
    description: Integrations
  - name: Monitors
    description: Monitors
  - name: Incidents
    description: Incidents
  - name: Maintenance Windows
    description: Maintenance Windows
  - name: Status Pages
    description: Status Pages
  - name: Reports
    description: Reports
paths:
  /uptime/monitors/{monitorId}:
    delete:
      tags:
        - Monitors
      summary: Delete a monitor
      description: >-
        Delete a monitor by ID with its check history, its status page
        components, and the incidents and maintenance windows of this monitor
        only, the ones shared with other monitors are kept. This cannot be
        undone, and triggers the `uptime.monitor.deleted` alert rules.


        Requires the `monitors:write` permission.
      operationId: deleteUptimeMonitor
      parameters:
        - name: monitorId
          in: path
          description: ID of the monitor to delete
          required: true
          schema:
            type: integer
        - $ref: '#/components/parameters/header_project_id'
        - $ref: '#/components/parameters/header_project_slug'
      responses:
        '204':
          description: Success, monitor deleted
          content: {}
        '401':
          $ref: '#/components/responses/401'
        '403':
          $ref: '#/components/responses/403'
        '404':
          $ref: '#/components/responses/404'
      security:
        - BearerAuth:
            - monitors:write
components:
  parameters:
    header_project_id:
      name: X-Phare-Project-Id
      in: header
      description: A project header is required when using an organization-scoped API key.
      required: false
      schema:
        type: integer
        example: 1
    header_project_slug:
      name: X-Phare-Project-Slug
      in: header
      description: A project header is required when using an organization-scoped API key.
      required: false
      schema:
        type: string
        example: luminous-guiding-tower
  responses:
    '401':
      description: Error, access unauthorized
      content:
        application/json:
          schema:
            description: Access unauthorized error schema
            properties:
              message:
                type: string
                example: Unauthenticated.
            type: object
    '403':
      description: Error, access forbidden
      content:
        application/json:
          schema:
            description: Access forbidden error schema
            properties:
              message:
                type: string
                example: >-
                  The monitors:write permission is required to perform this
                  action.
            type: object
    '404':
      description: Error, resource not found
      content:
        application/json:
          schema:
            description: Not found error schema
            properties:
              message:
                type: string
                example: Record not found.
            type: object
  securitySchemes:
    BearerAuth:
      type: http
      description: >-
        Use a user token to access authenticated routes. The token must be
        specified in the Authorization HTTP header with the following format
        'Authorization: Bearer <token>'.
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.